//
//  SkinCheckboxCell.h
//  CheckboxAndRadio
//
//  Created by James Walker on 1/3/14.
//  Copyright (c) 2014 James W. Walker.

// This software is provided 'as-is', without any express or implied warranty.
// In no event will the authors be held liable for any damages arising from
// the use of this software.

// Permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions:

// 1. The origin of this software must not be misrepresented; you must not
// claim that you wrote the original software. If you use this software in a
// product, an acknowledgment in the product documentation would be
// appreciated but is not required.

// 2. Altered source versions must be plainly marked as such, and must not be
// misrepresented as being the original software.

// 3. This notice may not be removed or altered from any source distribution.
//

#import <Cocoa/Cocoa.h>


/*!
	@class		SkinCheckboxCell
	
	@abstract	Cell subclass for skinning checkboxes and radio buttons.
	
	@discussion	To use this in a nib:
	
				* Start with a standard checkbox.
				* Change the class of its cell to SkinCheckboxCell.
				* Give the cell a user-defined runtime attribute named "images"
				  whose value is the name of a dictionary of image names in
				  UISkin.plist.
				* Set the image of the checkbox to one of the custom images.
				  (This lets the button know the size of the images you will
				  use.)
*/
@interface SkinCheckboxCell : NSButtonCell
{
@private
	BOOL		mIsMouseOver;
	NSString* 	mImages;
}

@property (retain) NSString* images;

@end
